include("shared.lua")

function ENT:Draw()
    self:DrawModel()

    local pos = self:GetPos()
    local ang = self:GetAngles()

    pos = pos + ang:Up() * 40

    ang:RotateAroundAxis(ang:Right(), -90)
    ang:RotateAroundAxis(ang:Up(), 90)

    cam.Start3D2D(pos, ang, 0.15)
        local terminalType = self:GetTerminalType()
        local title = "Терминал техники"

        if terminalType == "ground" then
            title = "НАЗЕМНАЯ ТЕХНИКА"
        elseif terminalType == "air" then
            title = "ВОЗДУШНАЯ ТЕХНИКА"
        end

        draw.SimpleTextOutlined(
            title,
            "DermaLarge",
            0, 0,
            Color(255, 255, 255),
            TEXT_ALIGN_CENTER,
            TEXT_ALIGN_CENTER,
            2,
            Color(0, 0, 0)
        )
    cam.End3D2D()
end
